Installation:requirements

From PrometheusIPN Wiki
Jump to: navigation, search

WEBSITE REQUIREMENTS

  • PHP 5.4 or greater
  • A MySQL database
  • pdo_mysql extension enabled in your php.ini
  • cURL enabled in your php.ini
  • mbstring
  • php-xml
  • url_allow_fopen enabled in php.ini
  • OpenSSL ( With HTTPS wrapper )

WEB HOSTS CONFIRMED TO BE COMPATIBLE WITH PROMETHEUS

Click here for a list of compatible hosts.

Linux Hosting

If you have experience with Linux servers I'd suggest just getting a DigitalOcean droplet for $5 to run a webserver on. Though don't do this if you have no idea what you're doing.

How to check if your webserver supports Prometheus

Download the requirement checker and extract it on your webserver. Then visit the file called prometheus_check.php. It will now tell you if your PHP version can run Prometheus.

How to Install Prometheus on your Website

Website installation instructions found here

LUA REQUIREMENTS

Lua prerequisites / requirements

Nearly all Garry's Mod hosts will support Prometheus for in-game compatibility. So long as your host allows you to upload .dll files, you're good to go!

You'll require the MySQLoo module from here or the tMySQL module from here. We highly recommend Tmysql for the speed, security and multi-connection support.

How to Install Prometheus on your Gameserver

Lua installation instructions found here